<template>
  <div class="mobile-container">
    <!--  头部  -->
    <van-sticky>
      <van-nav-bar
        :title="`库存详情`"
        left-arrow
        @click-left="_ => $router.go(-1)"
      />
    </van-sticky>
    <div class="containter-content">
      <van-cell-group inset>
        <van-cell title="物资名称:" :value="deviceData.name" />
        <van-cell title="规格型号:" :value="deviceData.model" />
        <van-cell title="计量单位:" :value="deviceData.unit" />
        <van-cell title="单价:" :value="deviceData.price" />
        <van-cell title="最低库存:" :value="deviceData.minNumber" />
        <van-cell title="剩余库存:" :value="deviceData.quantity" />
        <van-cell title="剩余价值:" :value="deviceData.amount" />
        <van-cell title="统计月份:" :value="deviceData.months" />
        <van-cell title="入库数量:" :value="deviceData.inCount" />
        <van-cell title="出库数量:" :value="deviceData.outCount" />
      </van-cell-group>
    </div>
  </div>
</template>

<script>
import dictUtils from '@/components/dict/DictSelectUtils.js'
import equipmentManage from '@/api/device/equipmentManage.js'
import navBar from '../../components/navBar.vue'

export default {
  name: 'MobileMaterialStockDetail',
  components: {
    navBar
  },
  data() {
    return {
      deviceData: {}
    }
  },
  created() {
    this.deviceData = this.$route.query.item
  }
}
</script>

<style lang="scss" scoped>
@import '@/assets/css/element-variables';

.mobile-container {
  width: 100%;
  min-height: 100%;
  // background-color: $--mobile-bg;
  background-color: #f4f7ff;

  .containter-content {
    padding: 80px;
  }


  .containter-sticky {
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 200;
  }
}

.van-cell-group {
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.1), 0 6px 20px 0 rgba(0, 0, 0, 0.1);
}

.van-cell-group--inset {
  padding: 50px;
  margin: 0 0;
  border-radius: 0;
}

.van-cell {
  justify-content: start;
}

.van-cell::after {
  border: 0;
}

.van-cell__title,
.van-cell__value {
  width: auto;
  flex: initial;
}

.van-cell__title {
  white-space: nowrap;
}

.van-cell__value {
  padding-left: 10px;
  text-align: left;
}

.van-cell__title span,
.van-cell__value span {
  font-size: 76px;
  color: $--mobile-text-main;
}

.van-cell__title span {
  color: $--mobile-text-sub;
}
</style>
<style lang="scss">
@import '@/assets/css/vant-custom';
</style>
